Page MenuHomePhabricator

Python management library is not Python3 compatible
Closed, WontfixPublic

Description

Now when most distros have python3 in their repos and a few already made it the default, not supporing python3 is no longer an option. Both 3 and 2.7 (and no older) should be supported.

The main offender is old style exception syntax. You may consider running it through the 2to3 tool to simplify migration.

Details

Difficulty level
Normal (likely a few hours)

Event Timeline

dmbaturin created this task.Jun 6 2016, 4:16 PM

I think this task can be closed

afics added a subscriber: afics.Jun 30 2016, 7:59 AM

Your core dependecy exscript is not compatible with python3. It seems like someone started working on it but didn't finish and abandoned the port. I guess you don't want to port it, so I guess python3 support is on hold for now :/

@afics so maybe py3 support should be on hold...but this task just about py2 style exception syntax therefore this task is finished,right?

syncer closed this task as Wontfix.Jul 17 2016, 9:38 PM
syncer lowered the priority of this task from Unbreak Now! to Normal.
syncer added a subscriber: syncer.

This should be moved to paramiko